%define upstream_name	 Module-Pluggable
%define upstream_version 6.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simple plugins for Perl modules
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.0.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This Perl module provides a simple but, hopefully, extensible way of having
'plugins' for your module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Fri Jan 24 2025 tv <tv> 6.300.0-1.mga10
+ Revision: 2141365
- update to 6.3

* Sun Mar 20 2022 umeabot <umeabot> 5.200.0-6.mga9
+ Revision: 1804586
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 5.200.0-5.mga8
+ Revision: 1495632
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 5.200.0-4.mga7
+ Revision: 1269571
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 5.200.0-3.mga6
+ Revision: 1030243
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 5.200.0-2.mga6
+ Revision: 969188
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 5.200.0-1.mga6
+ Revision: 864413
- update to 5.2

* Wed Oct 15 2014 umeabot <umeabot> 5.100.0-3.mga5
+ Revision: 750380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.100.0-2.mga5
+ Revision: 685468
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 5.100.0-1.mga5
+ Revision: 585898
- update to 5.1

* Sat Oct 19 2013 umeabot <umeabot> 4.800.0-2.mga4
+ Revision: 526240
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 4.800.0-1.mga4
+ Revision: 436347
- update to 4.8
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 4.500.0-3.mga3
+ Revision: 405513
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.500.0-2.mga3
+ Revision: 369943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 4.500.0-1.mga3
+ Revision: 315529
- update to 4.5

* Mon Aug 27 2012 jquelin <jquelin> 4.300.0-1.mga3
+ Revision: 284597
- update to 4.3

* Thu Jan 05 2012 jquelin <jquelin> 4.0.0-1.mga2
+ Revision: 191438
- update to 4.0

* Sun Jun 12 2011 sander85 <sander85> 3.900.0-5.mga2
+ Revision: 104788
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 3.900.0-4.mga1
+ Revision: 30855
- mageia rebuild
- imported package perl-Module-Pluggable

